
Vagrant.configure("2") do |config|

  config.vm.define "gitlab" do |gitlab|
  gitlab.vm.box = "everproven/ubuntu-1804"
  gitlab.vm.box_version = "1527962189"
  gitlab.vm.hostname = "gitlab.local"

  gitlab.vm.network "forwarded_port", guest: 80, host: 8080
  gitlab.vm.network "public_network", type: "dhcp"

  gitlab.vm.provider "virtualbox" do |vb|
    vb.name = "GitLab"
    vb.gui = true
    vb.memory = "2048"
    vb.cpus = 1
end
gitlab.vm.provision :docker
gitlab.vm.provision "shell", path: "install_gitlab.sh"
end

config.vm.define "docker1" do |docker1|
  docker1.vm.box = "everproven/ubuntu-1804"
  docker1.vm.box_version = "1527962189"
  docker1.vm.hostname = "docker1.local"

  docker1.vm.network "forwarded_port", guest: 22, host: 2223
  docker1.vm.network "public_network", type: "dhcp"

  docker1.vm.provider "virtualbox" do |vb|
      vb.name = "docker1"
      vb.gui = true
      vb.memory = "1024"
      vb.cpus = 1

end
docker1.vm.provision :docker
end

config.vm.define "docker2" do |docker2|
  docker2.vm.box = "everproven/ubuntu-1804"
  docker2.vm.box_version = "1527962189"
  docker2.vm.hostname = "docker2.local"

  docker2.vm.network "forwarded_port", guest: 22, host: 2224
  docker2.vm.network "public_network", type: "dhcp"

  docker2.vm.provider "virtualbox" do |vb|
      vb.name = "docker2"
      vb.gui = true
      vb.memory = "1024"
      vb.cpus = 1

end
docker2.vm.provision :docker
end

end
